IASL(8)

NAME
iasl - Intel ASL compiler and disassembler (iASL)

SYNOPSIS
iasl [options] <input file>

DESCRIPTION
The iasl is a fully-featured compiler for the ACPI Source Language (ASL). It translates ASL to ACPI Machine Language (AML), but iasl can also act as a disassembler, translating AML to ASL.

OPTIONS

  Global
-@ file
    Specify command file.
-I dir
    Specify additional include directory.

  General Output
-p prefix
    Specify a path or filename prefix for all output files.
-va Disable all errors and warnings in the summary.
-vi Use less verbose errors and warnings.
-vo Enable optimization comments.
-vr Disable remarks.
-vs Disable signon.
-w 1 | 2 | 3
    Set warning reporting level.

  AML Output Files
-s a | c
    Create AML in assembler (*.asm) or C (*.c) source file.
-i a | c
    Create assembler (*.inc) or C (*.h) include file.
-t a | c
    Create AML in assembler or C hex table (*.hex).

  AML Code Generation
-oa Disable all optimizations (compatibility mode).
-of Disable constant folding.
-oi Disable integer optimization to operation codes.
-on Disable named reference string optimization.
-r revision
    Override table header revision (1-255).

  Listings
-l  Create mixed, ASL and AML, listing file (*.lst).
-ln Create namespace file (*.nsp).
-ls Create combined source file (*.src).

  AML Disassembler
-d file
    Disassemble binary ACPI table to a file (*.dsl).
-dc file
    Disassemble AML and immediately compile it.
-e f1, f2
    Include ACPI table(s) for external symbol resolution.
-2  Emit ACPI 2.0 compatible ASL code.
-g  Get ACPI tables and write to files (*.dat).

  Help
-h  Display additional help and compiler debug options.
-hc Display operators allowed in constant expressions.
-hr Display ACPI reserved method names.

SEE ALSO
acpi(4), acpidump(8), amldb(8) Intel Corporation, iASL Compiler/Disassembler User Reference, Revision 2.00, September 18, 2009, http://www.acpica.org/download/aslcompiler.pdf.

HISTORY
The iasl compiler/disassembler is part of the Intel ACPI Component Architecture (ACPICA). It first appeared in NetBSD 6.0.

AUTHORS
-nosplit Among Intel engineers, Robert Moore <robert.moore@intel.com> was the chief architect behind iasl. This manual page was written for NetBSD by Jukka Ruohonen <jruohonen@iki.fi>.